var _this = this,
    _jsxFileName = "C:\\github\\os\\react-most-wanted\\packages\\material-ui-shell\\src\\providers\\Menu\\Provider.js";

import PropTypes from 'prop-types';
import React, { useState, useEffect } from 'react';
import Context from './Context';

var Provider = function Provider(_ref) {
  var children = _ref.children,
      _ref$persistKey = _ref.persistKey,
      persistKey = _ref$persistKey === void 0 ? 'menu' : _ref$persistKey;

  var _useState = useState(true),
      isDesktopOpen = _useState[0],
      setDesktopOpen = _useState[1];

  var _useState2 = useState(false),
      isMobileOpen = _useState2[0],
      setMobileOpen = _useState2[1];

  var _useState3 = useState(false),
      isMini = _useState3[0],
      setMini = _useState3[1];

  useEffect(function () {
    var persistDesktopOpen = localStorage.getItem(persistKey);

    if (persistDesktopOpen) {
      setDesktopOpen(persistDesktopOpen === 'true');
    }
  }, []);
  useEffect(function () {
    try {
      localStorage.setItem(persistKey, isDesktopOpen);
    } catch (error) {
      console.warn(error);
    }
  }, [isDesktopOpen]);
  return /*#__PURE__*/React.createElement(Context.Provider, {
    value: {
      isDesktopOpen,
      isMobileOpen,
      setDesktopOpen,
      setDesktopOpen,
      setMobileOpen,
      isMini,
      setMini
    },
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 26,
      columnNumber: 5
    }
  }, children);
};

Provider.propTypes = process.env.NODE_ENV !== "production" ? {
  children: PropTypes.any
} : {};
export default Provider;