"use strict";

exports.__esModule = true;
exports.default = void 0;

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react = _interopRequireWildcard(require("react"));

var _Context = _interopRequireDefault(require("./Context"));

var _this = void 0,
    _jsxFileName = "C:\\github\\os\\react-most-wanted\\packages\\material-ui-shell\\src\\providers\\Menu\\Provider.js";

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Provider = function Provider(_ref) {
  var children = _ref.children,
      _ref$persistKey = _ref.persistKey,
      persistKey = _ref$persistKey === void 0 ? 'menu' : _ref$persistKey;

  var _useState = (0, _react.useState)(true),
      isDesktopOpen = _useState[0],
      setDesktopOpen = _useState[1];

  var _useState2 = (0, _react.useState)(false),
      isMobileOpen = _useState2[0],
      setMobileOpen = _useState2[1];

  var _useState3 = (0, _react.useState)(false),
      isMini = _useState3[0],
      setMini = _useState3[1];

  (0, _react.useEffect)(function () {
    var persistDesktopOpen = localStorage.getItem(persistKey);

    if (persistDesktopOpen) {
      setDesktopOpen(persistDesktopOpen === 'true');
    }
  }, []);
  (0, _react.useEffect)(function () {
    try {
      localStorage.setItem(persistKey, isDesktopOpen);
    } catch (error) {
      console.warn(error);
    }
  }, [isDesktopOpen]);
  return /*#__PURE__*/_react.default.createElement(_Context.default.Provider, {
    value: {
      isDesktopOpen,
      isMobileOpen,
      setDesktopOpen,
      setDesktopOpen,
      setMobileOpen,
      isMini,
      setMini
    },
    __self: _this,
    __source: {
      fileName: _jsxFileName,
      lineNumber: 26,
      columnNumber: 5
    }
  }, children);
};

Provider.propTypes = process.env.NODE_ENV !== "production" ? {
  children: _propTypes.default.any
} : {};
var _default = Provider;
exports.default = _default;
module.exports = exports.default;